Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: XCode 6.1 error "Can't load simulator framework." on iOS7.1 sim. deployment


This question is not answered. Helpful answers available: 2. Correct answers available: 1.


Permlink Replies: 0
Pierre-François...

Posts: 13
Registered: 10/26/12
XCode 6.1 error "Can't load simulator framework." on iOS7.1 sim. deployment  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Nov 26, 2014 3:41 PM
I'm using a Delphi XE6 and it's PA Server XE6 to deploy and run my iOS7 app on the iOS7.1 simulator from XCode 6.1 on a MacBook Pro (OSX 10.10.1)

When my iOS7 app (for iPhone5) is deployed and launched on the iOS7.1 simulator, the PA Server logs the following error: "Can't load simulator framework."

I'm new to iOS development, I carefuly checked the configuration of my simulation environment according to the documentation but didn't found the reason of this failure.
(if I deploy and debug my app on my genuine iPhone 5 connected to the MacBook Pro, it is running properly. I only cannot run it on the installed iOS7.1 simulator)

Of course, in the XCode preferences downloads tabsheet, the iOS7.1 simulator has been succesfully downloaded and installed.

The Command Line Tools for XCode 6.1 have also been installed (visible in the Preferences/Locations tabsheet.

By the way, in the XCode/Window/Devices window, in the SIMULATORS section, a device called iPhone5 iOS7.1 is present.

Any idea ?

Thank you for any help, I'm stucked...
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02